import PersonIcon from '@mui/icons-material/Person'
import { Box, IconButton } from '@mui/material'
import React from 'react'
import { useTranslation } from 'react-i18next'
import { useHistory } from 'react-router-dom'
import ArrowBackIcon from '@mui/icons-material/ArrowBack'
import ArrowForwardIcon from '@mui/icons-material/ArrowForward'


export default function OverviewGuestButton() {
  const { t } = useTranslation(['common'])
  const history = useHistory()

  const goToGuestOverview = () => {
    history.push('/guestregister')
  }

  return (
    <Box sx={{ display: 'flex', flexDirection: 'row', alignItems: 'baseline', justifyContent: 'space-evenly' }}>

      {/*TODO Where should the back arrow point to?*/}
      <ArrowBackIcon>

      </ArrowBackIcon>

      <Box sx={{ display: 'flex', flexDirection: 'column', alignItems: 'center' }}>
        <IconButton onClick={goToGuestOverview}>
          <PersonIcon
            fontSize='large'
            sx={{
              borderRadius: '2rem',
              borderStyle: 'solid',
              borderColor: 'primary.main',
              fill: 'white',
              backgroundColor: 'primary.main',
            }} />
        </IconButton>
        <Box sx={{
          typography: 'caption',
        }}>
          {t('yourGuestAccount')}
        </Box>
      </Box>

      <IconButton disabled>
        <ArrowForwardIcon visibility='hidden' />
      </IconButton>
    </Box>
  )
}
